package com.jeeplus.test.cw.contractRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * @author: 王强
 * @create: 2022-11-27 13:54
 **/
@Data
@TableName("cw_work_contract_borrow_message")
public class CwWorkContractBorrowMessage extends BaseEntity {

    private String contractBorrowId;

    private String contractName;

    private String borrowName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowData;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowRetData;

    private String borrowType;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date retData;

    private String contractId;  //合同id

    private String contractCreateById;  //合同创建人id

    private String processDefinitionId;  //流程defId
    private String procInsId;  //流程procInsId

}
