package com.jeeplus.test.cw.projectRecords.service.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author: 徐滕
 * @version: 2022-12-06 16:38
 */
@Data
public class CwManHourManagementDTO extends BaseDTO {

    private String projectId;   //项目id
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planStartDate; //计划开始时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planEndDate;   //计划结束时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date[] planDate;    //项目预计时间
    private String status;  //工时确认状态
    private String statusStr;  //工时确认状态

    private String projectName; //项目名称
    private String projectNumber;   //项目编号
    private String projectMasterId; //项目经理
    private String projectMasterName;   //项目经理姓名
    private String createId;   //创建人id
    private Date[] createDates;   //时间查询
}
