package com.jeeplus.test.cw.projectReportArchive.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.sys.service.dto.UserDTO;
import com.jeeplus.test.cw.projectReportArchive.domain.CwProjectReportArchive;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.projectReportArchive.service.dto.CwProjectReportArchiveDTO;
import com.jeeplus.test.cw.projectReportArchive.service.dto.CwProjectReportArchiveDetailDTO;
import com.jeeplus.test.cw.projectReportArchive.service.dto.ReportDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CwProjectReportArchiveMapper extends BaseMapper<CwProjectReportArchive> {

    IPage<CwProjectReportArchiveDTO> findList(Page<CwProjectReportArchiveDTO> page, @Param("currentUser") UserDTO currentUser, @Param("isBmzr") String isBmzr, @Param("officeIds") String officeIds, @Param(Constants.WRAPPER) QueryWrapper<CwProjectReportArchive> queryWrapper,@Param("sta") String sta);

    CwProjectReportArchiveDTO queryById(@Param("id") String id);

    IPage<ReportDTO> findReportList(Page<ReportDTO> page, @Param(Constants.WRAPPER) QueryWrapper<ReportDTO> queryWrapper);

    /**
     * 根据报告id查询信息
     * @param reportId
     * @return
     */
    CwProjectReportArchiveDTO queryByReportId(@Param("reportId") String reportId);
}




