package com.jeeplus.test.cw.workClientInfo.mapper;

import com.jeeplus.test.cw.projectRecords.domain.CwProjectClientContact;
import com.jeeplus.test.cw.projectRecords.service.dto.CwProjectClientContactDTO;
import com.jeeplus.test.cw.workClientInfo.domain.CwWorkClientContact;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.jeeplus.test.cw.workClientInfo.domain.CwWorkClientContact
 */
@Mapper
public interface CwWorkClientContactMapper extends BaseMapper<CwWorkClientContact> {

    /**
     * 根据项目联系人信息查询是否在客户联系人中的数据
     * @param info
     * @return
     */
    CwWorkClientContact getInfoByData(CwProjectClientContactDTO info);

    /**
     * 根据id查询详情
     * @param id
     * @return
     */
    CwWorkClientContact getInfoById(String id);

}




