package com.jeeplus.test.cw.workClientInfo.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 财务-客户-修改申请临时表/修改记录表

 * @TableName cw_work_client_temp
 */
@Data
public class CwWorkClientTempDTO extends BaseDTO {
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 客户id
     */
    private String clientId;

    /**
     * 源数据json
     */
    private String sourceData;

    /**
     * 审核状态
     */
    private String status;

    /**
     * 创建人姓名
     */
    private String createName;

    /**
     * 客户编号
     */
    private String clientNo;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}