package com.jeeplus.test.help.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 帮助管理-树形
 * @TableName help_tree
 */
@TableName(value ="help_tree")
@Data
public class HelpTree extends BaseEntity implements Serializable {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 父ids
     */
    private String parentIds;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}