package com.jeeplus.test.help.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.cw.projectBusinessType.domain.CwProjectBusinessType;
import com.jeeplus.test.cw.projectBusinessType.service.dto.CwProjectBusinessTypeDTO;
import com.jeeplus.test.help.domain.Help;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.help.service.dto.HelpDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface HelpMapper extends BaseMapper<Help> {

    IPage<HelpDTO> findList(Page<HelpDTO> page, @Param(Constants.WRAPPER) QueryWrapper<Help> queryWrapper);

    HelpDTO queryById(@Param("id") String id);
}




