package com.jeeplus.test.help.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.cw.projectBusinessType.domain.CwProjectBusinessType;
import com.jeeplus.test.cw.projectBusinessType.service.dto.CwProjectBusinessTypeDTO;
import com.jeeplus.test.help.domain.HelpTree;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.help.service.dto.HelpTreeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HelpTreeMapper extends BaseMapper<HelpTree> {

    IPage<HelpTreeDTO> findList(Page<HelpTreeDTO> page, @Param(Constants.WRAPPER) QueryWrapper<HelpTree> queryWrapper);

    HelpTreeDTO queryById(@Param("id") String id);

    List<HelpTreeDTO> getList();
}




