package com.jeeplus.test.help.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.io.Serializable;

/**
 * 帮助管理
 * @TableName help
 */
@TableName(value ="help")
@Data
public class HelpDTO extends BaseDTO implements Serializable {

    //帮助编号（字典值）
    public static final String BIZ_CODE = "30";

    /**
     * 备注
     */
    private String remarks;

    /**
     * 编号
     */
    private String number;

    /**
     * 关联项id
     */
    private String treeId;

    /**
     * 关联项名称
     */
    private String treeName;

    /**
     * 功能
     */
    private String features;

    /**
     * 描述
     */
    private String description;

    /**
     * 是否启用  0关闭  1启用
     */
    private String useFlag;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}