package com.jeeplus.test.luckyDraw.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 抽奖-奖项表
 * @TableName lucky_draw_awards
 */
@TableName(value ="lucky_draw_awards")
@Data
public class LuckyDrawAwards extends BaseEntity implements Serializable {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 活动id
     */
    private String eventsId;

    /**
     * 奖项名称
     */
    private String name;

    /**
     * 奖品数量
     */
    private Integer number;

    /**
     * 奖品
     */
    private String prizeName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}