package com.jeeplus.test.luckyDraw.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.klgBase.question.domain.KlgBaseQuestions;
import com.jeeplus.test.klgBase.question.service.dto.KlgBaseQuestionsDTO;
import com.jeeplus.test.luckyDraw.domain.LuckyDrawEvents;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.luckyDraw.service.dto.LuckyDrawEventsDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Entity com.jeeplus.test.luckyDraw.domain.LuckyDrawEvents
 */
@Mapper
public interface LuckyDrawEventsMapper extends BaseMapper<LuckyDrawEvents> {

    IPage<LuckyDrawEventsDTO> findList(Page<LuckyDrawEventsDTO> page, @Param(Constants.WRAPPER) QueryWrapper<LuckyDrawEvents> queryWrapper);

    LuckyDrawEventsDTO queryById(@Param("id") String id);

    void changeSwitchOpen(@Param("id") String id);

    void changeSwitchClose(@Param("id") String id);
}




