package com.jeeplus.test.luckyDraw.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.luckyDraw.domain.LuckyDrawMembers;
import com.jeeplus.test.luckyDraw.service.dto.LuckyDrawMembersDto;
import com.jeeplus.test.materialManagement.collect.service.dto.CollectDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: 王强
 * @create: 2023-02-28 11:00
 **/
@Mapper
public interface LuckyDrawMembersMapper extends BaseMapper<LuckyDrawMembers> {

    IPage<LuckyDrawMembersDto> findList(Page<LuckyDrawMembersDto> page, @Param(Constants.WRAPPER) QueryWrapper<LuckyDrawMembersDto> queryWrapper);

    Integer getByName(LuckyDrawMembersDto dto);

    int getByNameAndId(String name, String eventId);

    LuckyDrawMembersDto findById(String id);
}
