package com.jeeplus.test.materialManagement.collect.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 物资管理-领用退回
 * @TableName material_management_collect_basics_return
 */
@Data
@TableName("material_management_collect_basics_return")
public class CollectBasicsReturn extends BaseEntity {

    /**
     * 申请原因
     */
    private String remarks;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 状态
     */
    private String status;

    /**
     * 
     */
    private String processDefinitionId;

    /**
     * 领用id
     */
    private String basicId;

    /**
     * 退回申请人
     */
    private String requestUser;

    private static final long serialVersionUID = 1L;
}