package com.jeeplus.test.materialManagement.contract.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.materialManagement.contract.domain.Contract;
import com.jeeplus.test.materialManagement.contract.service.dto.ContractInfoDto;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @author: 王强
 * @create: 2023-01-13 14:29
 **/
public interface ContractMapper extends BaseMapper<Contract> {

    void updateStatusById(@Param("id") String id, @Param("type") String type);

    IPage<ContractInfoDto> findList(Page<ContractInfoDto> page,@Param(Constants.WRAPPER) QueryWrapper<ContractInfoDto> queryWrapper);
}
