package com.jeeplus.test.zs.zsReimbursement.approvalInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.program.configuration.projectList.domain.ProgramProjectListInfo;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import com.jeeplus.test.zs.zsReimbursement.approvalInfo.domain.*;
import com.jeeplus.test.zs.zsReimbursement.approvalInfo.service.dto.ZsReportNoDto;
import com.jeeplus.test.zs.zsReimbursement.approvalInfo.service.dto.ZsRetureListDto;
import com.jeeplus.test.zs.zsReimbursement.approvalInfo.service.dto.ZsTreeUserDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-24 16:09
 **/
public interface ZsReimbursementInfoMapper extends BaseMapper<ZsReimbursementInfo> {

    IPage<ProgramProjectListInfo> findProjectList(Page<ProgramProjectListInfo> page, @Param(Constants.WRAPPER) QueryWrapper<ProgramProjectListInfo> wrapper);

    String selectInvoiceFlag(@Param("id") String id);

    IPage<ZsRetureListDto> findList (Page<ZsRetureListDto> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    List<WorkAttachmentDto> findFiles(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);

    List<ZsTreeUserDto> findOfficeList();

    List<ZsTreeUserDto> findUserList(@Param("name") String name);

    List<ZsRetureListDto> findExportList (@Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    IPage<ZsRetureListDto> relationReimbursementList (Page<ZsRetureListDto> page, @Param("id") String id);

    IPage<ZsReportNoDto> getReportNoList(Page<ZsReportNoDto> page, @Param(Constants.WRAPPER) QueryWrapper<ZsReportNoDto> queryWrapper);

    List<ZsReimbursementDetailInfoContract> getContractDetailList(@Param("id") String id);

    List<ZsReimbursementDetailInfoReport> getReportDetailList(@Param("id") String id);

    List<ZsReimbursementDetailInfoOther> getOtherDetailList(@Param("id") String id);

    List<ZsReimbursementDetailInfoProcured> getProcuredDetailList(@Param("id") String id);

    List<ZsReimbursementDetailInfo> getDetailList(@Param("id") String id);
}
