package com.jeeplus.sys.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import lombok.Data;

@Data
@TableName(value = "sys_serialnum_tpl")
public class SysSerialnumTplC extends BaseEntity {

    /**
     * 公司id
     */
    @TableField(value = "company_id")
    private String companyId;

    /**
     * 业务标识
     */
    @TableField(value = "biz_code")
    private String bizCode;

    /**
     * 年度
     */
    @TableField(value = "year_built")
    private String yearBuilt;

    /**
     * 序列号
     */
    @TableField(value = "serial_num")
    private Integer serialNum;

    /**
     * 编号模板
     */
    @TableField(value = "serial_tpl")
    private String serialTpl;

    /**
     * 序列号长度
     */
    @TableField(value = "serial_num_len")
    private Integer serialNumLen;

    /**
     * 模板名称
     */
    @Query
    @TableField(value = "tpl_name")
    private String tplName;

    /**
     * 模板示例
     */
    @TableField(value = "serial_tpl_ex")
    private String serialTplEx;

    @TableField(exist = false)
    private String companyName;
}
