package com.jeeplus.test.cw.workClientInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.jeeplus.test.cw.workClientInfo.domain.CwWorkClientBase;
import com.jeeplus.test.cw.workClientInfo.domain.CwWorkClientBilling;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.workClientInfo.service.dto.CwWorkClientBillingDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.jeeplus.test.cw.workClientInfo.domain.CwWorkClientBilling
 */
@Mapper
public interface CwWorkClientBillingMapper extends BaseMapper<CwWorkClientBilling> {

    List<CwWorkClientBillingDTO> getBillingListByClientId(@Param(Constants.WRAPPER) QueryWrapper<CwWorkClientBilling> queryWrapper);
}




