package com.jeeplus.test.help.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 帮助管理
 * @TableName help
 */
@TableName(value ="help")
@Data
public class Help extends BaseEntity implements Serializable {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 编号
     */
    private String number;

    /**
     * 关联表id
     */
    private String treeId;

    /**
     * 功能
     */
    private String features;

    /**
     * 描述
     */
    private String description;

    /**
     * 是否启用  0关闭  1启用
     */
    private String useFlag;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}