package com.jeeplus.test.materialManagement.collect.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: 王强
 * @create: 2023-01-03 16:29
 **/
@Data
@TableName("material_management_collect_basics")
public class CollectBasic extends BaseEntity {

    //领用编号（字典值）
    public static final String BIZ_CODE = "29";

    /**
     * 备注
     */
    private String remarks;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 状态
     */
    private String status;

    private String processDefinitionId;

    /**
     * 领用编号
     */
    private String collectNo;

    /**
     * 经办人
     */
    private String handledBy;

    /**
     * 经办人部门
     */
    private String handledByOffice;

    /**
     * 领用时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date collectDate;

    @TableField(exist = false)
    List<CollectDetailed> detailInfos;
}
