package com.jeeplus.test.materialManagement.collect.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 物资管理-领用退回-历史
 * @TableName material_management_collect_basics_return_hi
 */
@Data
@TableName("material_management_collect_basics_return_hi")
public class CollectBasicsReturnHi extends BaseEntity {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 领用id
     */
    private String collectId;

    /**
     * json数据
     */
    private String jsonData;

    /**
     * 退回申请人
     */
    private String returnUser;

    /**
     * 退回数据的物品名称
     */
    private String returnGoods;

    /**
     * 退回申请人名称
     */
    private String returnUserName;

    private static final long serialVersionUID = 1L;
}