package com.jeeplus.test.materialManagement.collect.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.materialManagement.collect.domain.CollectBasicsReturnHi;

import java.util.List;

public interface CollectBasicsReturnHiMapper extends BaseMapper<CollectBasicsReturnHi> {

    /**
     * 根据领用id查询全部退回记录
     * @param collectId
     * @return
     */
    List<CollectBasicsReturnHi> findHiById(String collectId);

    /**
     * 根据历史数据id查询
     * @param id
     * @return
     */
    CollectBasicsReturnHi findHiByHiId(String id);

    /**
     * 根据领用id查询最近的一条退回记录
     * @param collectId
     * @return
     */
    CollectBasicsReturnHi findLastHiByid(String collectId);
}
