package com.jeeplus.test.materialManagement.contract.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 物资管理-合同-客户联系人表
 * @author: 王强
 * @create: 2023-01-13 13:57
 **/
@Data
@TableName("material_management_contract_user")
public class ContractUser extends BaseEntity {

    //备注
    private String remarks;

    //姓名
    private String name;

    //职位
    private String position;

    //联系方式1
    private String contactFirst;

    //联系方式2
    private String contactSecond;

    //物资管理-合同表id
    private String contractId;
}
