package com.jeeplus.test.materialManagement.supplier.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 物资-供应商-联系人
 * @TableName material_supplier_link
 */
@Data
@TableName("material_supplier_link")
public class MaterialSupplierLink extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 联系人姓名
     */
    private String name;

    /**
     * 部门
     */
    private String office;

    /**
     * 职务
     */
    private String position;

    /**
     * 性别
     */
    private String sex;

    /**
     * 联系方式1
     */
    private String linkPhone;

    /**
     * 联系方式2
     */
    private String linkMobile;

    /**
     * E-mail
     */
    private String email;

    /**
     * 供应商id
     */
    private String supplierId;

    private static final long serialVersionUID = 1L;
}