package com.jeeplus.test.materialManagement.supplier.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.materialManagement.supplier.domain.MaterialSupplier;
import com.jeeplus.test.materialManagement.supplier.service.dto.MaterialSupplierDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MaterialSupplierMapper extends BaseMapper<MaterialSupplier> {

    IPage<MaterialSupplierDTO> findList(Page<MaterialSupplierDTO> page, @Param(Constants.WRAPPER) QueryWrapper<MaterialSupplier> queryWrapper);

    MaterialSupplierDTO queryById(@Param("id") String id);

}
