package com.jeeplus.test.materialManagement.supplier.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.List;

/**
 * 物资-供应商
 */
@Data
public class MaterialSupplierDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 名称
     */
    private String name;

    /**
     * 是否有社会统一信用代码
     */
    private String isUscCode;

    /**
     * 统一社会信用代码
     */
    private String uscCode;

    /**
     * 归属地区
     */
    private String reconciliationArea;

    /**
     * 供应商性质
     */
    private String characterIs;

    /**
     * 邮政编码
     */
    private String zipCode;

    /**
     * 传真
     */
    private String fax;

    /**
     * 联系电话
     */
    private String telPhone;

    /**
     * 地址
     */
    private String address;

    /**
     * 联系人信息
     */
    private List<MaterialSupplierLinkDTO> materialSupplierLinkDTOList;

    /**
     * 附件信息
     */
    private List<WorkAttachmentDto> workAttachmentDtoList;

    /**
     * 联系人名称（筛选条件）
     */
    private String linkName;

    /**
     * 创建人名称
     */
    private String createName;

    private static final long serialVersionUID = 1L;
}