package com.jeeplus.test.oss.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.jeeplus.sys.service.dto.UserDTO;
import com.jeeplus.test.oss.domain.WorkAttachment;
import org.apache.ibatis.annotations.Param;
import org.flowable.spring.security.UserDto;

import java.util.List;

public interface OssServiceMapper extends BaseMapper<WorkAttachment> {

    Integer selectSaveById(String id);

    void updateProjectRecord(String id);

    List<WorkAttachment> findList(@Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    void insertWorkAttachment (@Param("workAttachment") WorkAttachment workAttachment, @Param("userDto") UserDTO userDto);

    /**
     * 根据关联id和url查询数据信息
     * @param workAttachment
     * @return
     */
    List<WorkAttachment> getByAttachmentIdAndUrlAndAttachmentFlag(WorkAttachment workAttachment);
}
