package com.jeeplus.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.sys.domain.SysSerialnumTplC;
import org.apache.ibatis.annotations.Param;

public interface SerialnumTplCMapper extends BaseMapper<SysSerialnumTplC> {

    IPage<SysSerialnumTplC> pageList(Page<SysSerialnumTplC> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    SysSerialnumTplC queryByComAndBizCode(@Param("id")String id, @Param("bizCode")String bizCode);

    void resetSerialNum(@Param("id")String id,@Param("yearBuilt")String yearBuilt,@Param("newYear")String newYear);

    int updateSerialNum(SysSerialnumTplC numTpl);
}
