package com.jeeplus.notify.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 知识分享评论记录表
 * @TableName plugin_notify_comments
 */
@TableName(value ="plugin_notify_comments")
@Data
public class PluginNotifyComments extends BaseEntity {

    /**
     * 公告id
     */
    private String notifyId;

    /**
     * 评论人id
     */
    private String userId;

    /**
     * 评论
     */
    private String comments;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}