package com.jeeplus.notify.domain;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 通知通告-通告范围-用户
 * @TableName plugin_notify_user
 */
@TableName(value ="plugin_notify_user")
@Data
public class PluginNotifyUser extends BaseEntity{
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 通知id
     */
    private String notifyId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}