package com.jeeplus.notify.service.dto;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 通知通告-通告范围-用户
 * @TableName plugin_notify_user
 */
@Data
public class PluginNotifyUserDTO extends BaseDTO {
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 通知id
     */
    private String notifyId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 所属部门
     */
    private String officeName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}